IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/92
Addresses2^36
/64 networksPart of one
- Network
fe80:c25b:dd:ec00:ec00:8a0::/92- First address
fe80:c25b:dd:ec00:ec00:8a0::- Last address
fe80:c25b:dd:ec00:ec00:8af:ffff:ffff- Addresses
- 68,719,476,736 (2^36)
- /64 networks (LANs)
- None: smaller than one /64 LAN
- Full form
fe80:c25b:00dd:ec00:ec00:08a0:0000:0000- Type
- Link-local fe80::/10
Every IPv6 interface has one; not routed - Reverse DNS zone
a.8.0.0.0.c.e.0.0.c.e.d.d.0.0.b.5.2.c.0.8.e.f.ip6.arpa
Split into smaller subnets
fe80:c25b:dd:ec00:ec00:8a0::/92 makes 256 subnets of /100.
| # | Subnet | Last address |
|---|---|---|
| 1 | fe80:c25b:dd:ec00:ec00:8a0::/100 | fe80:c25b:dd:ec00:ec00:8a0:fff:ffff |
| 2 | fe80:c25b:dd:ec00:ec00:8a0:1000:0/100 | fe80:c25b:dd:ec00:ec00:8a0:1fff:ffff |
| 3 | fe80:c25b:dd:ec00:ec00:8a0:2000:0/100 | fe80:c25b:dd:ec00:ec00:8a0:2fff:ffff |
| 4 | fe80:c25b:dd:ec00:ec00:8a0:3000:0/100 | fe80:c25b:dd:ec00:ec00:8a0:3fff:ffff |
| 5 | fe80:c25b:dd:ec00:ec00:8a0:4000:0/100 | fe80:c25b:dd:ec00:ec00:8a0:4fff:ffff |
| 6 | fe80:c25b:dd:ec00:ec00:8a0:5000:0/100 | fe80:c25b:dd:ec00:ec00:8a0:5fff:ffff |
| 7 | fe80:c25b:dd:ec00:ec00:8a0:6000:0/100 | fe80:c25b:dd:ec00:ec00:8a0:6fff:ffff |
| 8 | fe80:c25b:dd:ec00:ec00:8a0:7000:0/100 | fe80:c25b:dd:ec00:ec00:8a0:7fff:ffff |
| 9 | fe80:c25b:dd:ec00:ec00:8a0:8000:0/100 | fe80:c25b:dd:ec00:ec00:8a0:8fff:ffff |
| 10 | fe80:c25b:dd:ec00:ec00:8a0:9000:0/100 | fe80:c25b:dd:ec00:ec00:8a0:9fff:ffff |
| 11 | fe80:c25b:dd:ec00:ec00:8a0:a000:0/100 | fe80:c25b:dd:ec00:ec00:8a0:afff:ffff |
| 12 | fe80:c25b:dd:ec00:ec00:8a0:b000:0/100 | fe80:c25b:dd:ec00:ec00:8a0:bfff:ffff |
| 13 | fe80:c25b:dd:ec00:ec00:8a0:c000:0/100 | fe80:c25b:dd:ec00:ec00:8a0:cfff:ffff |
| 14 | fe80:c25b:dd:ec00:ec00:8a0:d000:0/100 | fe80:c25b:dd:ec00:ec00:8a0:dfff:ffff |
| 15 | fe80:c25b:dd:ec00:ec00:8a0:e000:0/100 | fe80:c25b:dd:ec00:ec00:8a0:efff:ffff |
| 16 | fe80:c25b:dd:ec00:ec00:8a0:f000:0/100 | fe80:c25b:dd:ec00:ec00:8a0:ffff:ffff |
| 17 | fe80:c25b:dd:ec00:ec00:8a1::/100 | fe80:c25b:dd:ec00:ec00:8a1:fff:ffff |
| 18 | fe80:c25b:dd:ec00:ec00:8a1:1000:0/100 | fe80:c25b:dd:ec00:ec00:8a1:1fff:ffff |
| 19 | fe80:c25b:dd:ec00:ec00:8a1:2000:0/100 | fe80:c25b:dd:ec00:ec00:8a1:2fff:ffff |
| 20 | fe80:c25b:dd:ec00:ec00:8a1:3000:0/100 | fe80:c25b:dd:ec00:ec00:8a1:3fff:ffff |
| 21 | fe80:c25b:dd:ec00:ec00:8a1:4000:0/100 | fe80:c25b:dd:ec00:ec00:8a1:4fff:ffff |
| 22 | fe80:c25b:dd:ec00:ec00:8a1:5000:0/100 | fe80:c25b:dd:ec00:ec00:8a1:5fff:ffff |
| 23 | fe80:c25b:dd:ec00:ec00:8a1:6000:0/100 | fe80:c25b:dd:ec00:ec00:8a1:6fff:ffff |
| 24 | fe80:c25b:dd:ec00:ec00:8a1:7000:0/100 | fe80:c25b:dd:ec00:ec00:8a1:7fff:ffff |
| 25 | fe80:c25b:dd:ec00:ec00:8a1:8000:0/100 | fe80:c25b:dd:ec00:ec00:8a1:8fff:ffff |
| 26 | fe80:c25b:dd:ec00:ec00:8a1:9000:0/100 | fe80:c25b:dd:ec00:ec00:8a1:9fff:ffff |
| 27 | fe80:c25b:dd:ec00:ec00:8a1:a000:0/100 | fe80:c25b:dd:ec00:ec00:8a1:afff:ffff |
| 28 | fe80:c25b:dd:ec00:ec00:8a1:b000:0/100 | fe80:c25b:dd:ec00:ec00:8a1:bfff:ffff |
| 29 | fe80:c25b:dd:ec00:ec00:8a1:c000:0/100 | fe80:c25b:dd:ec00:ec00:8a1:cfff:ffff |
| 30 | fe80:c25b:dd:ec00:ec00:8a1:d000:0/100 | fe80:c25b:dd:ec00:ec00:8a1:dfff:ffff |
| 31 | fe80:c25b:dd:ec00:ec00:8a1:e000:0/100 | fe80:c25b:dd:ec00:ec00:8a1:efff:ffff |
| 32 | fe80:c25b:dd:ec00:ec00:8a1:f000:0/100 | fe80:c25b:dd:ec00:ec00:8a1:ffff:ffff |
| 33 | fe80:c25b:dd:ec00:ec00:8a2::/100 | fe80:c25b:dd:ec00:ec00:8a2:fff:ffff |
| 34 | fe80:c25b:dd:ec00:ec00:8a2:1000:0/100 | fe80:c25b:dd:ec00:ec00:8a2:1fff:ffff |
| 35 | fe80:c25b:dd:ec00:ec00:8a2:2000:0/100 | fe80:c25b:dd:ec00:ec00:8a2:2fff:ffff |
| 36 | fe80:c25b:dd:ec00:ec00:8a2:3000:0/100 | fe80:c25b:dd:ec00:ec00:8a2:3fff:ffff |
| 37 | fe80:c25b:dd:ec00:ec00:8a2:4000:0/100 | fe80:c25b:dd:ec00:ec00:8a2:4fff:ffff |
| 38 | fe80:c25b:dd:ec00:ec00:8a2:5000:0/100 | fe80:c25b:dd:ec00:ec00:8a2:5fff:ffff |
| 39 | fe80:c25b:dd:ec00:ec00:8a2:6000:0/100 | fe80:c25b:dd:ec00:ec00:8a2:6fff:ffff |
| 40 | fe80:c25b:dd:ec00:ec00:8a2:7000:0/100 | fe80:c25b:dd:ec00:ec00:8a2:7fff:ffff |
| 41 | fe80:c25b:dd:ec00:ec00:8a2:8000:0/100 | fe80:c25b:dd:ec00:ec00:8a2:8fff:ffff |
| 42 | fe80:c25b:dd:ec00:ec00:8a2:9000:0/100 | fe80:c25b:dd:ec00:ec00:8a2:9fff:ffff |
| 43 | fe80:c25b:dd:ec00:ec00:8a2:a000:0/100 | fe80:c25b:dd:ec00:ec00:8a2:afff:ffff |
| 44 | fe80:c25b:dd:ec00:ec00:8a2:b000:0/100 | fe80:c25b:dd:ec00:ec00:8a2:bfff:ffff |
| 45 | fe80:c25b:dd:ec00:ec00:8a2:c000:0/100 | fe80:c25b:dd:ec00:ec00:8a2:cfff:ffff |
| 46 | fe80:c25b:dd:ec00:ec00:8a2:d000:0/100 | fe80:c25b:dd:ec00:ec00:8a2:dfff:ffff |
| 47 | fe80:c25b:dd:ec00:ec00:8a2:e000:0/100 | fe80:c25b:dd:ec00:ec00:8a2:efff:ffff |
| 48 | fe80:c25b:dd:ec00:ec00:8a2:f000:0/100 | fe80:c25b:dd:ec00:ec00:8a2:ffff:ffff |
| 49 | fe80:c25b:dd:ec00:ec00:8a3::/100 | fe80:c25b:dd:ec00:ec00:8a3:fff:ffff |
| 50 | fe80:c25b:dd:ec00:ec00:8a3:1000:0/100 | fe80:c25b:dd:ec00:ec00:8a3:1fff:ffff |
| 51 | fe80:c25b:dd:ec00:ec00:8a3:2000:0/100 | fe80:c25b:dd:ec00:ec00:8a3:2fff:ffff |
| 52 | fe80:c25b:dd:ec00:ec00:8a3:3000:0/100 | fe80:c25b:dd:ec00:ec00:8a3:3fff:ffff |
| 53 | fe80:c25b:dd:ec00:ec00:8a3:4000:0/100 | fe80:c25b:dd:ec00:ec00:8a3:4fff:ffff |
| 54 | fe80:c25b:dd:ec00:ec00:8a3:5000:0/100 | fe80:c25b:dd:ec00:ec00:8a3:5fff:ffff |
| 55 | fe80:c25b:dd:ec00:ec00:8a3:6000:0/100 | fe80:c25b:dd:ec00:ec00:8a3:6fff:ffff |
| 56 | fe80:c25b:dd:ec00:ec00:8a3:7000:0/100 | fe80:c25b:dd:ec00:ec00:8a3:7fff:ffff |
| 57 | fe80:c25b:dd:ec00:ec00:8a3:8000:0/100 | fe80:c25b:dd:ec00:ec00:8a3:8fff:ffff |
| 58 | fe80:c25b:dd:ec00:ec00:8a3:9000:0/100 | fe80:c25b:dd:ec00:ec00:8a3:9fff:ffff |
| 59 | fe80:c25b:dd:ec00:ec00:8a3:a000:0/100 | fe80:c25b:dd:ec00:ec00:8a3:afff:ffff |
| 60 | fe80:c25b:dd:ec00:ec00:8a3:b000:0/100 | fe80:c25b:dd:ec00:ec00:8a3:bfff:ffff |
| 61 | fe80:c25b:dd:ec00:ec00:8a3:c000:0/100 | fe80:c25b:dd:ec00:ec00:8a3:cfff:ffff |
| 62 | fe80:c25b:dd:ec00:ec00:8a3:d000:0/100 | fe80:c25b:dd:ec00:ec00:8a3:dfff:ffff |
| 63 | fe80:c25b:dd:ec00:ec00:8a3:e000:0/100 | fe80:c25b:dd:ec00:ec00:8a3:efff:ffff |
| 64 | fe80:c25b:dd:ec00:ec00:8a3:f000:0/100 | fe80:c25b:dd:ec00:ec00:8a3:ffff:ffff |
| 65 | fe80:c25b:dd:ec00:ec00:8a4::/100 | fe80:c25b:dd:ec00:ec00:8a4:fff:ffff |
| 66 | fe80:c25b:dd:ec00:ec00:8a4:1000:0/100 | fe80:c25b:dd:ec00:ec00:8a4:1fff:ffff |
| 67 | fe80:c25b:dd:ec00:ec00:8a4:2000:0/100 | fe80:c25b:dd:ec00:ec00:8a4:2fff:ffff |
| 68 | fe80:c25b:dd:ec00:ec00:8a4:3000:0/100 | fe80:c25b:dd:ec00:ec00:8a4:3fff:ffff |
| 69 | fe80:c25b:dd:ec00:ec00:8a4:4000:0/100 | fe80:c25b:dd:ec00:ec00:8a4:4fff:ffff |
| 70 | fe80:c25b:dd:ec00:ec00:8a4:5000:0/100 | fe80:c25b:dd:ec00:ec00:8a4:5fff:ffff |
| 71 | fe80:c25b:dd:ec00:ec00:8a4:6000:0/100 | fe80:c25b:dd:ec00:ec00:8a4:6fff:ffff |
| 72 | fe80:c25b:dd:ec00:ec00:8a4:7000:0/100 | fe80:c25b:dd:ec00:ec00:8a4:7fff:ffff |
| 73 | fe80:c25b:dd:ec00:ec00:8a4:8000:0/100 | fe80:c25b:dd:ec00:ec00:8a4:8fff:ffff |
| 74 | fe80:c25b:dd:ec00:ec00:8a4:9000:0/100 | fe80:c25b:dd:ec00:ec00:8a4:9fff:ffff |
| 75 | fe80:c25b:dd:ec00:ec00:8a4:a000:0/100 | fe80:c25b:dd:ec00:ec00:8a4:afff:ffff |
| 76 | fe80:c25b:dd:ec00:ec00:8a4:b000:0/100 | fe80:c25b:dd:ec00:ec00:8a4:bfff:ffff |
| 77 | fe80:c25b:dd:ec00:ec00:8a4:c000:0/100 | fe80:c25b:dd:ec00:ec00:8a4:cfff:ffff |
| 78 | fe80:c25b:dd:ec00:ec00:8a4:d000:0/100 | fe80:c25b:dd:ec00:ec00:8a4:dfff:ffff |
| 79 | fe80:c25b:dd:ec00:ec00:8a4:e000:0/100 | fe80:c25b:dd:ec00:ec00:8a4:efff:ffff |
| 80 | fe80:c25b:dd:ec00:ec00:8a4:f000:0/100 | fe80:c25b:dd:ec00:ec00:8a4:ffff:ffff |
| 81 | fe80:c25b:dd:ec00:ec00:8a5::/100 | fe80:c25b:dd:ec00:ec00:8a5:fff:ffff |
| 82 | fe80:c25b:dd:ec00:ec00:8a5:1000:0/100 | fe80:c25b:dd:ec00:ec00:8a5:1fff:ffff |
| 83 | fe80:c25b:dd:ec00:ec00:8a5:2000:0/100 | fe80:c25b:dd:ec00:ec00:8a5:2fff:ffff |
| 84 | fe80:c25b:dd:ec00:ec00:8a5:3000:0/100 | fe80:c25b:dd:ec00:ec00:8a5:3fff:ffff |
| 85 | fe80:c25b:dd:ec00:ec00:8a5:4000:0/100 | fe80:c25b:dd:ec00:ec00:8a5:4fff:ffff |
| 86 | fe80:c25b:dd:ec00:ec00:8a5:5000:0/100 | fe80:c25b:dd:ec00:ec00:8a5:5fff:ffff |
| 87 | fe80:c25b:dd:ec00:ec00:8a5:6000:0/100 | fe80:c25b:dd:ec00:ec00:8a5:6fff:ffff |
| 88 | fe80:c25b:dd:ec00:ec00:8a5:7000:0/100 | fe80:c25b:dd:ec00:ec00:8a5:7fff:ffff |
| 89 | fe80:c25b:dd:ec00:ec00:8a5:8000:0/100 | fe80:c25b:dd:ec00:ec00:8a5:8fff:ffff |
| 90 | fe80:c25b:dd:ec00:ec00:8a5:9000:0/100 | fe80:c25b:dd:ec00:ec00:8a5:9fff:ffff |
| 91 | fe80:c25b:dd:ec00:ec00:8a5:a000:0/100 | fe80:c25b:dd:ec00:ec00:8a5:afff:ffff |
| 92 | fe80:c25b:dd:ec00:ec00:8a5:b000:0/100 | fe80:c25b:dd:ec00:ec00:8a5:bfff:ffff |
| 93 | fe80:c25b:dd:ec00:ec00:8a5:c000:0/100 | fe80:c25b:dd:ec00:ec00:8a5:cfff:ffff |
| 94 | fe80:c25b:dd:ec00:ec00:8a5:d000:0/100 | fe80:c25b:dd:ec00:ec00:8a5:dfff:ffff |
| 95 | fe80:c25b:dd:ec00:ec00:8a5:e000:0/100 | fe80:c25b:dd:ec00:ec00:8a5:efff:ffff |
| 96 | fe80:c25b:dd:ec00:ec00:8a5:f000:0/100 | fe80:c25b:dd:ec00:ec00:8a5:ffff:ffff |
| 97 | fe80:c25b:dd:ec00:ec00:8a6::/100 | fe80:c25b:dd:ec00:ec00:8a6:fff:ffff |
| 98 | fe80:c25b:dd:ec00:ec00:8a6:1000:0/100 | fe80:c25b:dd:ec00:ec00:8a6:1fff:ffff |
| 99 | fe80:c25b:dd:ec00:ec00:8a6:2000:0/100 | fe80:c25b:dd:ec00:ec00:8a6:2fff:ffff |
| 100 | fe80:c25b:dd:ec00:ec00:8a6:3000:0/100 | fe80:c25b:dd:ec00:ec00:8a6:3fff:ffff |
| 101 | fe80:c25b:dd:ec00:ec00:8a6:4000:0/100 | fe80:c25b:dd:ec00:ec00:8a6:4fff:ffff |
| 102 | fe80:c25b:dd:ec00:ec00:8a6:5000:0/100 | fe80:c25b:dd:ec00:ec00:8a6:5fff:ffff |
| 103 | fe80:c25b:dd:ec00:ec00:8a6:6000:0/100 | fe80:c25b:dd:ec00:ec00:8a6:6fff:ffff |
| 104 | fe80:c25b:dd:ec00:ec00:8a6:7000:0/100 | fe80:c25b:dd:ec00:ec00:8a6:7fff:ffff |
| 105 | fe80:c25b:dd:ec00:ec00:8a6:8000:0/100 | fe80:c25b:dd:ec00:ec00:8a6:8fff:ffff |
| 106 | fe80:c25b:dd:ec00:ec00:8a6:9000:0/100 | fe80:c25b:dd:ec00:ec00:8a6:9fff:ffff |
| 107 | fe80:c25b:dd:ec00:ec00:8a6:a000:0/100 | fe80:c25b:dd:ec00:ec00:8a6:afff:ffff |
| 108 | fe80:c25b:dd:ec00:ec00:8a6:b000:0/100 | fe80:c25b:dd:ec00:ec00:8a6:bfff:ffff |
| 109 | fe80:c25b:dd:ec00:ec00:8a6:c000:0/100 | fe80:c25b:dd:ec00:ec00:8a6:cfff:ffff |
| 110 | fe80:c25b:dd:ec00:ec00:8a6:d000:0/100 | fe80:c25b:dd:ec00:ec00:8a6:dfff:ffff |
| 111 | fe80:c25b:dd:ec00:ec00:8a6:e000:0/100 | fe80:c25b:dd:ec00:ec00:8a6:efff:ffff |
| 112 | fe80:c25b:dd:ec00:ec00:8a6:f000:0/100 | fe80:c25b:dd:ec00:ec00:8a6:ffff:ffff |
| 113 | fe80:c25b:dd:ec00:ec00:8a7::/100 | fe80:c25b:dd:ec00:ec00:8a7:fff:ffff |
| 114 | fe80:c25b:dd:ec00:ec00:8a7:1000:0/100 | fe80:c25b:dd:ec00:ec00:8a7:1fff:ffff |
| 115 | fe80:c25b:dd:ec00:ec00:8a7:2000:0/100 | fe80:c25b:dd:ec00:ec00:8a7:2fff:ffff |
| 116 | fe80:c25b:dd:ec00:ec00:8a7:3000:0/100 | fe80:c25b:dd:ec00:ec00:8a7:3fff:ffff |
| 117 | fe80:c25b:dd:ec00:ec00:8a7:4000:0/100 | fe80:c25b:dd:ec00:ec00:8a7:4fff:ffff |
| 118 | fe80:c25b:dd:ec00:ec00:8a7:5000:0/100 | fe80:c25b:dd:ec00:ec00:8a7:5fff:ffff |
| 119 | fe80:c25b:dd:ec00:ec00:8a7:6000:0/100 | fe80:c25b:dd:ec00:ec00:8a7:6fff:ffff |
| 120 | fe80:c25b:dd:ec00:ec00:8a7:7000:0/100 | fe80:c25b:dd:ec00:ec00:8a7:7fff:ffff |
| 121 | fe80:c25b:dd:ec00:ec00:8a7:8000:0/100 | fe80:c25b:dd:ec00:ec00:8a7:8fff:ffff |
| 122 | fe80:c25b:dd:ec00:ec00:8a7:9000:0/100 | fe80:c25b:dd:ec00:ec00:8a7:9fff:ffff |
| 123 | fe80:c25b:dd:ec00:ec00:8a7:a000:0/100 | fe80:c25b:dd:ec00:ec00:8a7:afff:ffff |
| 124 | fe80:c25b:dd:ec00:ec00:8a7:b000:0/100 | fe80:c25b:dd:ec00:ec00:8a7:bfff:ffff |
| 125 | fe80:c25b:dd:ec00:ec00:8a7:c000:0/100 | fe80:c25b:dd:ec00:ec00:8a7:cfff:ffff |
| 126 | fe80:c25b:dd:ec00:ec00:8a7:d000:0/100 | fe80:c25b:dd:ec00:ec00:8a7:dfff:ffff |
| 127 | fe80:c25b:dd:ec00:ec00:8a7:e000:0/100 | fe80:c25b:dd:ec00:ec00:8a7:efff:ffff |
| 128 | fe80:c25b:dd:ec00:ec00:8a7:f000:0/100 | fe80:c25b:dd:ec00:ec00:8a7:ffff:ffff |
| 129 | fe80:c25b:dd:ec00:ec00:8a8::/100 | fe80:c25b:dd:ec00:ec00:8a8:fff:ffff |
| 130 | fe80:c25b:dd:ec00:ec00:8a8:1000:0/100 | fe80:c25b:dd:ec00:ec00:8a8:1fff:ffff |
| 131 | fe80:c25b:dd:ec00:ec00:8a8:2000:0/100 | fe80:c25b:dd:ec00:ec00:8a8:2fff:ffff |
| 132 | fe80:c25b:dd:ec00:ec00:8a8:3000:0/100 | fe80:c25b:dd:ec00:ec00:8a8:3fff:ffff |
| 133 | fe80:c25b:dd:ec00:ec00:8a8:4000:0/100 | fe80:c25b:dd:ec00:ec00:8a8:4fff:ffff |
| 134 | fe80:c25b:dd:ec00:ec00:8a8:5000:0/100 | fe80:c25b:dd:ec00:ec00:8a8:5fff:ffff |
| 135 | fe80:c25b:dd:ec00:ec00:8a8:6000:0/100 | fe80:c25b:dd:ec00:ec00:8a8:6fff:ffff |
| 136 | fe80:c25b:dd:ec00:ec00:8a8:7000:0/100 | fe80:c25b:dd:ec00:ec00:8a8:7fff:ffff |
| 137 | fe80:c25b:dd:ec00:ec00:8a8:8000:0/100 | fe80:c25b:dd:ec00:ec00:8a8:8fff:ffff |
| 138 | fe80:c25b:dd:ec00:ec00:8a8:9000:0/100 | fe80:c25b:dd:ec00:ec00:8a8:9fff:ffff |
| 139 | fe80:c25b:dd:ec00:ec00:8a8:a000:0/100 | fe80:c25b:dd:ec00:ec00:8a8:afff:ffff |
| 140 | fe80:c25b:dd:ec00:ec00:8a8:b000:0/100 | fe80:c25b:dd:ec00:ec00:8a8:bfff:ffff |
| 141 | fe80:c25b:dd:ec00:ec00:8a8:c000:0/100 | fe80:c25b:dd:ec00:ec00:8a8:cfff:ffff |
| 142 | fe80:c25b:dd:ec00:ec00:8a8:d000:0/100 | fe80:c25b:dd:ec00:ec00:8a8:dfff:ffff |
| 143 | fe80:c25b:dd:ec00:ec00:8a8:e000:0/100 | fe80:c25b:dd:ec00:ec00:8a8:efff:ffff |
| 144 | fe80:c25b:dd:ec00:ec00:8a8:f000:0/100 | fe80:c25b:dd:ec00:ec00:8a8:ffff:ffff |
| 145 | fe80:c25b:dd:ec00:ec00:8a9::/100 | fe80:c25b:dd:ec00:ec00:8a9:fff:ffff |
| 146 | fe80:c25b:dd:ec00:ec00:8a9:1000:0/100 | fe80:c25b:dd:ec00:ec00:8a9:1fff:ffff |
| 147 | fe80:c25b:dd:ec00:ec00:8a9:2000:0/100 | fe80:c25b:dd:ec00:ec00:8a9:2fff:ffff |
| 148 | fe80:c25b:dd:ec00:ec00:8a9:3000:0/100 | fe80:c25b:dd:ec00:ec00:8a9:3fff:ffff |
| 149 | fe80:c25b:dd:ec00:ec00:8a9:4000:0/100 | fe80:c25b:dd:ec00:ec00:8a9:4fff:ffff |
| 150 | fe80:c25b:dd:ec00:ec00:8a9:5000:0/100 | fe80:c25b:dd:ec00:ec00:8a9:5fff:ffff |
| 151 | fe80:c25b:dd:ec00:ec00:8a9:6000:0/100 | fe80:c25b:dd:ec00:ec00:8a9:6fff:ffff |
| 152 | fe80:c25b:dd:ec00:ec00:8a9:7000:0/100 | fe80:c25b:dd:ec00:ec00:8a9:7fff:ffff |
| 153 | fe80:c25b:dd:ec00:ec00:8a9:8000:0/100 | fe80:c25b:dd:ec00:ec00:8a9:8fff:ffff |
| 154 | fe80:c25b:dd:ec00:ec00:8a9:9000:0/100 | fe80:c25b:dd:ec00:ec00:8a9:9fff:ffff |
| 155 | fe80:c25b:dd:ec00:ec00:8a9:a000:0/100 | fe80:c25b:dd:ec00:ec00:8a9:afff:ffff |
| 156 | fe80:c25b:dd:ec00:ec00:8a9:b000:0/100 | fe80:c25b:dd:ec00:ec00:8a9:bfff:ffff |
| 157 | fe80:c25b:dd:ec00:ec00:8a9:c000:0/100 | fe80:c25b:dd:ec00:ec00:8a9:cfff:ffff |
| 158 | fe80:c25b:dd:ec00:ec00:8a9:d000:0/100 | fe80:c25b:dd:ec00:ec00:8a9:dfff:ffff |
| 159 | fe80:c25b:dd:ec00:ec00:8a9:e000:0/100 | fe80:c25b:dd:ec00:ec00:8a9:efff:ffff |
| 160 | fe80:c25b:dd:ec00:ec00:8a9:f000:0/100 | fe80:c25b:dd:ec00:ec00:8a9:ffff:ffff |
| 161 | fe80:c25b:dd:ec00:ec00:8aa::/100 | fe80:c25b:dd:ec00:ec00:8aa:fff:ffff |
| 162 | fe80:c25b:dd:ec00:ec00:8aa:1000:0/100 | fe80:c25b:dd:ec00:ec00:8aa:1fff:ffff |
| 163 | fe80:c25b:dd:ec00:ec00:8aa:2000:0/100 | fe80:c25b:dd:ec00:ec00:8aa:2fff:ffff |
| 164 | fe80:c25b:dd:ec00:ec00:8aa:3000:0/100 | fe80:c25b:dd:ec00:ec00:8aa:3fff:ffff |
| 165 | fe80:c25b:dd:ec00:ec00:8aa:4000:0/100 | fe80:c25b:dd:ec00:ec00:8aa:4fff:ffff |
| 166 | fe80:c25b:dd:ec00:ec00:8aa:5000:0/100 | fe80:c25b:dd:ec00:ec00:8aa:5fff:ffff |
| 167 | fe80:c25b:dd:ec00:ec00:8aa:6000:0/100 | fe80:c25b:dd:ec00:ec00:8aa:6fff:ffff |
| 168 | fe80:c25b:dd:ec00:ec00:8aa:7000:0/100 | fe80:c25b:dd:ec00:ec00:8aa:7fff:ffff |
| 169 | fe80:c25b:dd:ec00:ec00:8aa:8000:0/100 | fe80:c25b:dd:ec00:ec00:8aa:8fff:ffff |
| 170 | fe80:c25b:dd:ec00:ec00:8aa:9000:0/100 | fe80:c25b:dd:ec00:ec00:8aa:9fff:ffff |
| 171 | fe80:c25b:dd:ec00:ec00:8aa:a000:0/100 | fe80:c25b:dd:ec00:ec00:8aa:afff:ffff |
| 172 | fe80:c25b:dd:ec00:ec00:8aa:b000:0/100 | fe80:c25b:dd:ec00:ec00:8aa:bfff:ffff |
| 173 | fe80:c25b:dd:ec00:ec00:8aa:c000:0/100 | fe80:c25b:dd:ec00:ec00:8aa:cfff:ffff |
| 174 | fe80:c25b:dd:ec00:ec00:8aa:d000:0/100 | fe80:c25b:dd:ec00:ec00:8aa:dfff:ffff |
| 175 | fe80:c25b:dd:ec00:ec00:8aa:e000:0/100 | fe80:c25b:dd:ec00:ec00:8aa:efff:ffff |
| 176 | fe80:c25b:dd:ec00:ec00:8aa:f000:0/100 | fe80:c25b:dd:ec00:ec00:8aa:ffff:ffff |
| 177 | fe80:c25b:dd:ec00:ec00:8ab::/100 | fe80:c25b:dd:ec00:ec00:8ab:fff:ffff |
| 178 | fe80:c25b:dd:ec00:ec00:8ab:1000:0/100 | fe80:c25b:dd:ec00:ec00:8ab:1fff:ffff |
| 179 | fe80:c25b:dd:ec00:ec00:8ab:2000:0/100 | fe80:c25b:dd:ec00:ec00:8ab:2fff:ffff |
| 180 | fe80:c25b:dd:ec00:ec00:8ab:3000:0/100 | fe80:c25b:dd:ec00:ec00:8ab:3fff:ffff |
| 181 | fe80:c25b:dd:ec00:ec00:8ab:4000:0/100 | fe80:c25b:dd:ec00:ec00:8ab:4fff:ffff |
| 182 | fe80:c25b:dd:ec00:ec00:8ab:5000:0/100 | fe80:c25b:dd:ec00:ec00:8ab:5fff:ffff |
| 183 | fe80:c25b:dd:ec00:ec00:8ab:6000:0/100 | fe80:c25b:dd:ec00:ec00:8ab:6fff:ffff |
| 184 | fe80:c25b:dd:ec00:ec00:8ab:7000:0/100 | fe80:c25b:dd:ec00:ec00:8ab:7fff:ffff |
| 185 | fe80:c25b:dd:ec00:ec00:8ab:8000:0/100 | fe80:c25b:dd:ec00:ec00:8ab:8fff:ffff |
| 186 | fe80:c25b:dd:ec00:ec00:8ab:9000:0/100 | fe80:c25b:dd:ec00:ec00:8ab:9fff:ffff |
| 187 | fe80:c25b:dd:ec00:ec00:8ab:a000:0/100 | fe80:c25b:dd:ec00:ec00:8ab:afff:ffff |
| 188 | fe80:c25b:dd:ec00:ec00:8ab:b000:0/100 | fe80:c25b:dd:ec00:ec00:8ab:bfff:ffff |
| 189 | fe80:c25b:dd:ec00:ec00:8ab:c000:0/100 | fe80:c25b:dd:ec00:ec00:8ab:cfff:ffff |
| 190 | fe80:c25b:dd:ec00:ec00:8ab:d000:0/100 | fe80:c25b:dd:ec00:ec00:8ab:dfff:ffff |
| 191 | fe80:c25b:dd:ec00:ec00:8ab:e000:0/100 | fe80:c25b:dd:ec00:ec00:8ab:efff:ffff |
| 192 | fe80:c25b:dd:ec00:ec00:8ab:f000:0/100 | fe80:c25b:dd:ec00:ec00:8ab:ffff:ffff |
| 193 | fe80:c25b:dd:ec00:ec00:8ac::/100 | fe80:c25b:dd:ec00:ec00:8ac:fff:ffff |
| 194 | fe80:c25b:dd:ec00:ec00:8ac:1000:0/100 | fe80:c25b:dd:ec00:ec00:8ac:1fff:ffff |
| 195 | fe80:c25b:dd:ec00:ec00:8ac:2000:0/100 | fe80:c25b:dd:ec00:ec00:8ac:2fff:ffff |
| 196 | fe80:c25b:dd:ec00:ec00:8ac:3000:0/100 | fe80:c25b:dd:ec00:ec00:8ac:3fff:ffff |
| 197 | fe80:c25b:dd:ec00:ec00:8ac:4000:0/100 | fe80:c25b:dd:ec00:ec00:8ac:4fff:ffff |
| 198 | fe80:c25b:dd:ec00:ec00:8ac:5000:0/100 | fe80:c25b:dd:ec00:ec00:8ac:5fff:ffff |
| 199 | fe80:c25b:dd:ec00:ec00:8ac:6000:0/100 | fe80:c25b:dd:ec00:ec00:8ac:6fff:ffff |
| 200 | fe80:c25b:dd:ec00:ec00:8ac:7000:0/100 | fe80:c25b:dd:ec00:ec00:8ac:7fff:ffff |
| 201 | fe80:c25b:dd:ec00:ec00:8ac:8000:0/100 | fe80:c25b:dd:ec00:ec00:8ac:8fff:ffff |
| 202 | fe80:c25b:dd:ec00:ec00:8ac:9000:0/100 | fe80:c25b:dd:ec00:ec00:8ac:9fff:ffff |
| 203 | fe80:c25b:dd:ec00:ec00:8ac:a000:0/100 | fe80:c25b:dd:ec00:ec00:8ac:afff:ffff |
| 204 | fe80:c25b:dd:ec00:ec00:8ac:b000:0/100 | fe80:c25b:dd:ec00:ec00:8ac:bfff:ffff |
| 205 | fe80:c25b:dd:ec00:ec00:8ac:c000:0/100 | fe80:c25b:dd:ec00:ec00:8ac:cfff:ffff |
| 206 | fe80:c25b:dd:ec00:ec00:8ac:d000:0/100 | fe80:c25b:dd:ec00:ec00:8ac:dfff:ffff |
| 207 | fe80:c25b:dd:ec00:ec00:8ac:e000:0/100 | fe80:c25b:dd:ec00:ec00:8ac:efff:ffff |
| 208 | fe80:c25b:dd:ec00:ec00:8ac:f000:0/100 | fe80:c25b:dd:ec00:ec00:8ac:ffff:ffff |
| 209 | fe80:c25b:dd:ec00:ec00:8ad::/100 | fe80:c25b:dd:ec00:ec00:8ad:fff:ffff |
| 210 | fe80:c25b:dd:ec00:ec00:8ad:1000:0/100 | fe80:c25b:dd:ec00:ec00:8ad:1fff:ffff |
| 211 | fe80:c25b:dd:ec00:ec00:8ad:2000:0/100 | fe80:c25b:dd:ec00:ec00:8ad:2fff:ffff |
| 212 | fe80:c25b:dd:ec00:ec00:8ad:3000:0/100 | fe80:c25b:dd:ec00:ec00:8ad:3fff:ffff |
| 213 | fe80:c25b:dd:ec00:ec00:8ad:4000:0/100 | fe80:c25b:dd:ec00:ec00:8ad:4fff:ffff |
| 214 | fe80:c25b:dd:ec00:ec00:8ad:5000:0/100 | fe80:c25b:dd:ec00:ec00:8ad:5fff:ffff |
| 215 | fe80:c25b:dd:ec00:ec00:8ad:6000:0/100 | fe80:c25b:dd:ec00:ec00:8ad:6fff:ffff |
| 216 | fe80:c25b:dd:ec00:ec00:8ad:7000:0/100 | fe80:c25b:dd:ec00:ec00:8ad:7fff:ffff |
| 217 | fe80:c25b:dd:ec00:ec00:8ad:8000:0/100 | fe80:c25b:dd:ec00:ec00:8ad:8fff:ffff |
| 218 | fe80:c25b:dd:ec00:ec00:8ad:9000:0/100 | fe80:c25b:dd:ec00:ec00:8ad:9fff:ffff |
| 219 | fe80:c25b:dd:ec00:ec00:8ad:a000:0/100 | fe80:c25b:dd:ec00:ec00:8ad:afff:ffff |
| 220 | fe80:c25b:dd:ec00:ec00:8ad:b000:0/100 | fe80:c25b:dd:ec00:ec00:8ad:bfff:ffff |
| 221 | fe80:c25b:dd:ec00:ec00:8ad:c000:0/100 | fe80:c25b:dd:ec00:ec00:8ad:cfff:ffff |
| 222 | fe80:c25b:dd:ec00:ec00:8ad:d000:0/100 | fe80:c25b:dd:ec00:ec00:8ad:dfff:ffff |
| 223 | fe80:c25b:dd:ec00:ec00:8ad:e000:0/100 | fe80:c25b:dd:ec00:ec00:8ad:efff:ffff |
| 224 | fe80:c25b:dd:ec00:ec00:8ad:f000:0/100 | fe80:c25b:dd:ec00:ec00:8ad:ffff:ffff |
| 225 | fe80:c25b:dd:ec00:ec00:8ae::/100 | fe80:c25b:dd:ec00:ec00:8ae:fff:ffff |
| 226 | fe80:c25b:dd:ec00:ec00:8ae:1000:0/100 | fe80:c25b:dd:ec00:ec00:8ae:1fff:ffff |
| 227 | fe80:c25b:dd:ec00:ec00:8ae:2000:0/100 | fe80:c25b:dd:ec00:ec00:8ae:2fff:ffff |
| 228 | fe80:c25b:dd:ec00:ec00:8ae:3000:0/100 | fe80:c25b:dd:ec00:ec00:8ae:3fff:ffff |
| 229 | fe80:c25b:dd:ec00:ec00:8ae:4000:0/100 | fe80:c25b:dd:ec00:ec00:8ae:4fff:ffff |
| 230 | fe80:c25b:dd:ec00:ec00:8ae:5000:0/100 | fe80:c25b:dd:ec00:ec00:8ae:5fff:ffff |
| 231 | fe80:c25b:dd:ec00:ec00:8ae:6000:0/100 | fe80:c25b:dd:ec00:ec00:8ae:6fff:ffff |
| 232 | fe80:c25b:dd:ec00:ec00:8ae:7000:0/100 | fe80:c25b:dd:ec00:ec00:8ae:7fff:ffff |
| 233 | fe80:c25b:dd:ec00:ec00:8ae:8000:0/100 | fe80:c25b:dd:ec00:ec00:8ae:8fff:ffff |
| 234 | fe80:c25b:dd:ec00:ec00:8ae:9000:0/100 | fe80:c25b:dd:ec00:ec00:8ae:9fff:ffff |
| 235 | fe80:c25b:dd:ec00:ec00:8ae:a000:0/100 | fe80:c25b:dd:ec00:ec00:8ae:afff:ffff |
| 236 | fe80:c25b:dd:ec00:ec00:8ae:b000:0/100 | fe80:c25b:dd:ec00:ec00:8ae:bfff:ffff |
| 237 | fe80:c25b:dd:ec00:ec00:8ae:c000:0/100 | fe80:c25b:dd:ec00:ec00:8ae:cfff:ffff |
| 238 | fe80:c25b:dd:ec00:ec00:8ae:d000:0/100 | fe80:c25b:dd:ec00:ec00:8ae:dfff:ffff |
| 239 | fe80:c25b:dd:ec00:ec00:8ae:e000:0/100 | fe80:c25b:dd:ec00:ec00:8ae:efff:ffff |
| 240 | fe80:c25b:dd:ec00:ec00:8ae:f000:0/100 | fe80:c25b:dd:ec00:ec00:8ae:ffff:ffff |
| 241 | fe80:c25b:dd:ec00:ec00:8af::/100 | fe80:c25b:dd:ec00:ec00:8af:fff:ffff |
| 242 | fe80:c25b:dd:ec00:ec00:8af:1000:0/100 | fe80:c25b:dd:ec00:ec00:8af:1fff:ffff |
| 243 | fe80:c25b:dd:ec00:ec00:8af:2000:0/100 | fe80:c25b:dd:ec00:ec00:8af:2fff:ffff |
| 244 | fe80:c25b:dd:ec00:ec00:8af:3000:0/100 | fe80:c25b:dd:ec00:ec00:8af:3fff:ffff |
| 245 | fe80:c25b:dd:ec00:ec00:8af:4000:0/100 | fe80:c25b:dd:ec00:ec00:8af:4fff:ffff |
| 246 | fe80:c25b:dd:ec00:ec00:8af:5000:0/100 | fe80:c25b:dd:ec00:ec00:8af:5fff:ffff |
| 247 | fe80:c25b:dd:ec00:ec00:8af:6000:0/100 | fe80:c25b:dd:ec00:ec00:8af:6fff:ffff |
| 248 | fe80:c25b:dd:ec00:ec00:8af:7000:0/100 | fe80:c25b:dd:ec00:ec00:8af:7fff:ffff |
| 249 | fe80:c25b:dd:ec00:ec00:8af:8000:0/100 | fe80:c25b:dd:ec00:ec00:8af:8fff:ffff |
| 250 | fe80:c25b:dd:ec00:ec00:8af:9000:0/100 | fe80:c25b:dd:ec00:ec00:8af:9fff:ffff |
| 251 | fe80:c25b:dd:ec00:ec00:8af:a000:0/100 | fe80:c25b:dd:ec00:ec00:8af:afff:ffff |
| 252 | fe80:c25b:dd:ec00:ec00:8af:b000:0/100 | fe80:c25b:dd:ec00:ec00:8af:bfff:ffff |
| 253 | fe80:c25b:dd:ec00:ec00:8af:c000:0/100 | fe80:c25b:dd:ec00:ec00:8af:cfff:ffff |
| 254 | fe80:c25b:dd:ec00:ec00:8af:d000:0/100 | fe80:c25b:dd:ec00:ec00:8af:dfff:ffff |
| 255 | fe80:c25b:dd:ec00:ec00:8af:e000:0/100 | fe80:c25b:dd:ec00:ec00:8af:efff:ffff |
| 256 | fe80:c25b:dd:ec00:ec00:8af:f000:0/100 | fe80:c25b:dd:ec00:ec00:8af:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |